# Pano modify

From PanoTools.org Wiki

The program pano_modify allows you to change some output options of a project file on the command line. The same functions can also accessed inside Hugin's GUI on the hugin Stitcher tab or in the hugin Fast Preview window.

You have to give at least an input project file:

      pano_modify input.pto

In this case the unmodified input.pto project file is written to input_mod.pto. To change some parameters you have to add some switches, e.g.:

      pano_modify -c --crop=AUTO --output=output.pto input.pto

## Options

- `-o, --output=file.pto`: Writes the output to the given project file. If this parameter is not given the suffix _mod is added to the given input project.
- `-p, --projection=x`: Sets the output projection to the projection with number x.
- `--fov=AUTO|HFOV|HFOVxVFOV`: Sets output field of view. Following arguments are possible
  - `AUTO`: calculates optimal fov.
  - HFOV: set hfov to given hfov (If output projection has coupled hfov and vfov, vfov is automatic changed).
  - HFOVxVFOV: set to given hfov and vfov.
- `-s, --straighten`: Straightens the panorama.
- `-c, --center`: Centers the panorama.
- `--canvas=AUTO|num%|WIDTHxHEIGHT`: Sets the output canvas size
  - `AUTO`: calculate optimal canvas size
  - num%: scales the optimal canvas size by the given percent value, e.g. `--canvas=70%` will scale the image to 70 % of the optimal size.
  - WIDTHxHEIGHT: set to given size
- `--crop=AUTO|AUTOHDR|left,right,top,bottom|left,right,top,bottom%`: Sets the crop rectangle for the output
  - `AUTO`: performs an autocrop to the maximal possible size of the panorama
  - `AUTOHDR`: performs a HDR autocrop to the maximal possible size covered by all exposures
  - left,right,top,bottom: sets the crop to the given size
  - left,right,top,bottom%: sets the crop relative (0 % is the left/top border of the canvas, 100 % the right/bottom border, hint: only one percentage sign at the end)
- `--output-exposure=AUTO|value`: Sets the output exposure of the panorama
  - `AUTO`: set output exposure to mean exposure of all images
  - value: set output exposure to given value
- `--output-range-compression=value`: Sets the output range compression value
- `--output-type=str`: Activates the output of the given items. This switch can be given several times or several items in one switch can be separated by a comma.
  - `NORMAL|N`: normal panorama
  - `STACKSFUSEDBLENDED|BF`: LDR panorama with blended stacks
  - `EXPOSURELAYERSFUSED|FB`: LDR panorama with fused exposure layers (any arrangement)
  - `HDR`: HDR panorama
  - `REMAP`: remapped images with corrected exposure
  - `REMAPORIG`: remapped images with uncorrected exposure
  - `HDRREMAP`: remapped images in linear color space
  - `FUSEDSTACKS`: exposure fused stacks
  - `HDRSTACKS`: HDR stacks
  - `EXPOSURELAYERS`: blended exposure layers
- `--ldr-file=JPG|TIF|PNG`: Sets the filetype for LDR panorama output
- `--ldr-compression=str`: Sets the compression for LDR panorama output
  - For TIF files the following compressions are supported: `NONE|PACKBITS|LZW|DEFLATE`
  - For JPG files the quality as number is expected
- `--hdr-file=EXR|TIF`: Sets the filetype for HDR panorama output
- `--hdr-compression=str`: Sets the compression for HDR panorama output
  - For TIF files the following compressions are supported: `NONE|PACKBITS|LZW|DEFLATE`
- `--rotate=yaw,pitch,roll` rotate the panorama by the given angles
- `--translate=x,y,z` translate the panorama by the given distances

Retrieved from "https://wiki.panotools.org/index.php?title=Pano_modify&oldid=17271"